<template>
   <div class="container-scroller">
    <app-header></app-header>
    <div class="container-fluid page-body-wrapper">
        <app-sidebar></app-sidebar>
        <div class="main-panel">
            <div class="content-wrapper">
               <div className='breadcrumbs'>
              <div className='container'>
                <h2>Edit Cms</h2>
                <form action='/action_page.php'>


             <div class="form-group row">
              <label class="col-sm-5 col-form-label">Page Id:</label>
              <div class="col-sm-7">
                <input type="text" name="pageId"  v-model="pageId">
                <div class="error-block"></div>
              </div>
            </div>
             <div class="form-group row">
              <label class="col-sm-5 col-form-label">Meta Title:</label>
              <div class="col-sm-7">
                <input type="text" name="metaTitle"   v-model="metaTitle">
                <div class="error-block"></div>
              </div>
            </div>
              <!-- <div class="form-group row">
              <label class="col-sm-5 col-form-label">Meta Id:</label>
              <div class="col-sm-7">
                <input type="text" name="_id"  v-model="_id">
                <div class="error-block"></div>
              </div>
            </div> -->
                <div class="form-group row">
              <label class="col-sm-5 col-form-label">Description:</label>
              <div class="col-sm-7">
                <input type="text" name="metaDescription"  v-model="metaDescription">
                <div class="error-block"></div>
              </div>
            </div>
                  <div class="form-group row">
              <label class="col-sm-5 col-form-label">Meta Keyword:</label>
              <div class="col-sm-7">
                <input type="text" name="metaKeyword"  v-model="metaKeyword">
                <div class="error-block"></div>
              </div>
            </div>
                  <div class="form-group row">
              <label class="col-sm-5 col-form-label">Title:</label>
              <div class="col-sm-7">
                <input type="text" name="title"  v-model="title">
                <div class="error-block"></div>
              </div>
            </div>
                  <button type='submit' @click.prevent="editCms" className='btn btn-default'>Submit</button>
                  <button type='submit' className='btn btn-default'>Cancel</button>
                </form>
              </div>
    
            </div>
            </div>
            <footer class="footer">
                <div class="container-fluid clearfix">
                    <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">Copyright © 2018 <a href="http://www.bootstrapdash.com/" target="_blank">IndiaNIC</a>. All rights reserved.</span>
                </div>
            </footer>
        </div>
    </div>
</div>
</template>

<script>
import Sidebar from '../../sidebar'
import Navbar from '../../navbar'
import {mapActions} from 'vuex'
import {mapGetters} from 'vuex'
import axios from 'axios'

const API_URL = 'https://node.indianic.com:4069/api';

    export default {
         components:{
    'app-header':Navbar,
    'app-sidebar':Sidebar,
  },
  data(){
return{
    pageId:"",
    _id:"",
    metaDescription:"",
    metaKeyword:"",
    metaTitle:"",
    title:"",
    content:"",
}
  },
  computed:{
...mapGetters([
      'displayUserNames',
    ]),
  },
  created(){
      let{pageId,_id,metaDescription,metaKeyword,metaTitle,title,content}=this.displayUserNames
      this.pageId=pageId,
      this._id=_id,
      this.metaDescription=metaDescription,
      this.metaKeyword=metaKeyword,
      this.metaTitle=metaTitle,
      this.title=title,
      this.content=content
  },
  methods:{
     editCms(){
      let{pageId,_id,metaDescription,metaKeyword,metaTitle,title,content}=this
      var token=localStorage.getItem('token')
      var userdata={ title:title, content:content, metaTitle:metaTitle, metaDescription:metaDescription, pageId:pageId, metaKeyword:metaKeyword } 
      console.log('userdatauserdata is ',userdata)
      axios({
          method: 'post',
          url:API_URL +'/cmsUpdate',
          headers: {
            "Content-Type": "application/json",
            "Authorization": token
          },
          data: JSON.stringify(userdata),
        })
        .then(response => {
          console.log("response",response)
        })
        this.$router.push('/cmslist')

  }
  },
        
    }
</script>

<style scoped>

</style>